Subject: Re: [PATCH] Add `-u` short option for `git pull`

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Aug 2025 07:51:16 -0700

"Julien Jerphanion via GitGitGadget" <[email-masked]>
writes:

> From: Julien Jerphanion <[email-masked]>
>
> Add the short form `-u` as an alias for `--set-upstream`
> in `git pull`, similarly to `git push` which supports both forms.
>
> This allows users to use `git pull -u <remote> <branch>` as a
> shorter alternative to `git pull --set-upstream <remote> <branch>`.

The above explains what it does.  It does not justify why it is
needed.  Surely it may allow them to type less, but is it something
they would do very often, like every other day or even twice an
hour?  If not, should 'set-upstream' squat on a short-and-sweet 'u',
robbing it from future developers to use it for more useful purpose?